A valid request URL is required to generate request examples{
"id": "<string>",
"model": "<string>",
"progress": 50,
"prompt": "<string>",
"remixed_from_video_id": "<string>",
"seconds": "<string>",
"size": "<string>",
"created_at": 123,
"completed_at": 123,
"expires_at": 123,
"videos": [
{
"url": "<string>",
"base64": "<string>",
"content_type": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"content_filter": {
"filtered_count": 123,
"reasons": [
"<string>"
]
},
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Retrieve a video generation job
Retrieves the status and metadata for a video generation job. Use this endpoint to poll for completion status after creating a video generation job. When the status is “completed”, the response will include a URL to download the video.
A valid request URL is required to generate request examples{
"id": "<string>",
"model": "<string>",
"progress": 50,
"prompt": "<string>",
"remixed_from_video_id": "<string>",
"seconds": "<string>",
"size": "<string>",
"created_at": 123,
"completed_at": 123,
"expires_at": 123,
"videos": [
{
"url": "<string>",
"base64": "<string>",
"content_type": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"content_filter": {
"filtered_count": 123,
"reasons": [
"<string>"
]
},
"extra_fields": {
"request_type": "<string>",
"model_requested": "<string>",
"model_deployment": "<string>",
"latency": 123,
"chunk_index": 123,
"raw_request": {},
"raw_response": {},
"cache_debug": {
"cache_hit": true,
"cache_id": "<string>",
"hit_type": "<string>",
"requested_provider": "<string>",
"requested_model": "<string>",
"provider_used": "<string>",
"model_used": "<string>",
"input_tokens": 123,
"threshold": 123,
"similarity": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
Video ID in format id:provider (e.g., video_abc123:openai)
Response
Successful response. Returns the video generation job details.
Provider-native job ID. To use in path parameters (retrieve/delete/download), combine as {id}:{provider} (e.g., task_abc123:runway)
Object type, always "video"
video Model used for video generation
Current lifecycle status of the video generation job:
queued: Job is waiting to be processedin_progress: Video is currently being generatedcompleted: Video generation completed successfullyfailed: Video generation failed
queued, in_progress, completed, failed Approximate completion percentage (0-100)
0 <= x <= 100Prompt used to generate the video
Source video ID if this is a remix
Duration of the generated video in seconds as a string (e.g., "4")
Resolution of the generated video (e.g., "1920x1080")
Unix timestamp (seconds) when the job was created
Unix timestamp (seconds) when the job completed
Unix timestamp (seconds) when downloadable assets expire
Generated video outputs (only present when status is "completed")
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Information about content that was filtered due to safety policies
Show child attributes
Show child attributes
Additional fields included in responses
Show child attributes
Show child attributes
Was this page helpful?

